Retrieve a webhook endpoint
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}webhooks
Retrieve a webhook endpoint
Retrieve details of a specific webhook endpoint.
GET
/
v1
/
webhooks
/
{id}
/
Retrieve a webhook endpoint
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Serializer for WebhookEndpoint model.
HTTPS URL where webhook notifications will be sent
Maximum string length:
2048Whether this webhook endpoint is active
List of event types this webhook will receive
Whether this webhook receives test or production events
test- Testproduction- Production
Available options:
test, production Optional description or label for this webhook
Maximum string length:
255Webhook will be auto-disabled after this many consecutive failures
Required range:
-2147483648 <= x <= 2147483647